Subject: bug#2805 closed by Juri Linkov <[email-masked]> (Re: bug#2805: 23.0.90; why is minibuffer-default-add-completions a command?)

From: [email-masked] (Emacs bug Tracking System)
Date: Sat, 28 Mar 2009 21:25:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2805: 23.0.90; why is minibuffer-default-add-completions a command?

It has been closed by Juri Linkov <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Juri Linkov <[email-masked]> by
replying to this email.

-- 
2805: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2805
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2805: 23.0.90; why is minibuffer-default-add-completions a command?
From: Juri Linkov <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], Drew Adams <[email-masked]>
Date: Sat, 28 Mar 2009 23:19:09 +0200

>>> Should `minibuffer-default-add-completions' really be an
>>> interactive function? I don't see where that feature is
>>> used anywhere.
>
>> Hmm, I don't remember why it was implemented as interactive.
>> But now I see no reason why it should be interactive.
>
> It may have been convenient when testing it.  Please remove the
> (interactive) thingy.

Done.

-- 
Juri Linkov
http://www.jurta.org/emacs/

Subject: 23.0.90; why is minibuffer-default-add-completions a command?
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Fri, 27 Mar 2009 15:22:36 -0700

emacs -Q
 
Should `minibuffer-default-add-completions' really be an
interactive function? I don't see where that feature is
used anywhere.

In GNU Emacs 23.0.90.1 (i386-mingw-nt5.1.2600)
 of 2009-02-01 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'